jbloxham / terraform-provider-launchdarkly

Terraform LaunchDarkly provider

Home Page:https://www.terraform.io/docs/providers/launchdarkly/

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Terraform Provider

Requirements

  • Terraform 0.12.x
  • Go 1.11+ (to build the provider plugin)

Building The Provider


Clone repository to: $GOPATH/src/github.com/terraform-providers/terraform-provider-launchdarkly

$ git clone git@github.com:terraform-providers/terraform-provider-launchdarkly $GOPATH/src/github.com/terraform-providers/terraform-provider-launchdarkly

Enter the provider directory and build the provider

$ cd $GOPATH/src/github.com/terraform-providers/terraform-provider-launchdarkly
$ make build

Using the provider


If you're building the provider, follow the instructions to install it as a plugin. After placing it into your plugins directory, run terraform init to initialize it.

Further usage documentation is available on the Terraform website.

Developing the Provider


If you wish to work on the provider, you'll first need Go installed on your machine (version 1.11+ is required). You'll also need to correctly setup a GOPATH, as well as adding $GOPATH/bin to your $PATH.

To compile the provider, run make build. This will build the provider and put the provider binary in the $GOPATH/bin directory.

$ make build
...
$ $GOPATH/bin/terraform-provider-launchdarkly
...

In order to test the provider, you can simply run make test.

$ make test

In order to run the full suite of Acceptance tests, run make testacc.

Note: Acceptance tests create real resources, and often cost money to run.

$ make testacc
ezoic increase your site revenue

About

Terraform LaunchDarkly provider

https://www.terraform.io/docs/providers/launchdarkly/

License:Mozilla Public License 2.0


Languages

Language:Go 96.0%Language:Makefile 1.4%Language:Shell 1.4%Language:HTML 1.2%Language:HCL 0.0%